from typing import List

from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "Generic REST API Service"
    ALLOWED_ORIGINS: List[str] = ["*"]
    DATABASE_URL: str = "sqlite:////app/storage/db/db.sqlite"

    class Config:
        env_file = ".env"


settings = Settings()